API Access Keys

Create and revoke keys to access Odoo bridge endpoint securely.

Key Name API Key Prefix Created At Expires At Status Actions

API Integration Guide

Use your generated keys to query the Odoo Bridge securely from client apps.

1. Base Endpoint Configuration

POST https://your-domain.com/call
Required Headers:
Content-Type: application/json
X-API-KEY: YOUR_GENERATED_API_KEY

2. Request Body Structure

The endpoint takes standard JSON mapping the parameters to Odoo's execute_kw method:

{
  "model": "sale.order",
  "method": "search_read",
  "args": [ [["date_order", ">=", "2026-05-01 00:00:00"]] ], // optional
  "kwargs": { "limit": 5, "fields": ["name", "state"] }       // optional
}

3. Integration Code Snippets

fetch(window.location.origin + '/call', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'X-API-KEY': 'YOUR_API_KEY'
  },
  body: JSON.stringify({
    model: 'sale.order',
    method: 'search_read',
    args: [[]],
    kwargs: { limit: 5, fields: ['name', 'state'] }
  })
})
.then(res => res.json())
.then(data => console.log(data));
function apiExecuteGateway(model, method, args) {
  var url = window.location.origin + "/call"; 
  var payload = { "model": model, "method": method, "args": args };
  var options = {
    "method": "post",
    "headers": { "Content-Type": "application/json", "X-API-KEY": "YOUR_API_KEY" },
    "payload": JSON.stringify(payload),
    "muteHttpExceptions": true
  };
  var response = UrlFetchApp.fetch(url, options);
  var json = JSON.parse(response.getContentText());
  if (!json.success) throw new Error(json.error || "API Error");
  return json.data;
}
curl -X POST https://your-domain.com/call \
  -H "Content-Type: application/json" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -d '{
    "model": "sale.order",
    "method": "search_read",
    "args": [[]],
    "kwargs": { "limit": 5, "fields": ["name"] }
  }'

Odoo Bridge Speed Test

Run latency benchmarks and track performance history against Odoo.

Light Test

Performs a quick Odoo version ping to measure connection handshake overhead.

Last Latency: -- ms

Heavy Test

Authenticates and queries 25 Sales Orders with multiple fields from Odoo database.

Last Latency: -- ms

Benchmark History

Test Type Latency Status Tested At Details / Errors